select
    bkd.kd_id,
    bki.knowledge_name,
    bkd.document_name,
    bkd.knowledge_id
from
    biz_knowledge_document bkd
left join biz_knowledge_info bki on
    JSON_CONTAINS(bki.kd_ids , json_array(bkd.kd_id))
where
bkd.is_deleted = 'N'
<<and    bkd.knowledge_id in(:knowledgeIds)>>